// 002 u_c_automatic_stringlist_test
// 23 jan 2009

// -- (C) Felix John COLIBRI 2009
// -- documentation: http://www.felix-colibri.com

(*$r+*)

// -- Some simple tests to demonstrate how to use unit testing

unit u_c_automatic_stringlist_test;
  interface
    uses Classes

        , u_c_test_case_list_3
        ;

    type c_automatic_stringlist_test=
             class(c_test_case)
               private
                 m_c_stringlist: TStringList;
               protected
                 procedure Setup; override;
                 procedure Teardown; override;
               published
                 procedure test_add_to_stringlist_ok;
             end; // c_automatic_stringlist_test

  implementation

    // -- c_automatic_stringlist_test

    procedure c_automatic_stringlist_test.Setup;
        // -- create a stringlist with 3 strings
      begin
        m_c_stringlist:= TStringList.Create;
        
        m_c_stringlist.Add('one');
        m_c_stringlist.Add('two');
        m_c_stringlist.Add('three');
      end; // Setup

    // -- the separate tests

    procedure c_automatic_stringlist_test.test_add_to_stringlist_ok;
      begin
        check(m_c_stringlist[0]= 'one', 'String[0] = ''one''');
      end; // test_add_to_stringlist_ok

    procedure c_automatic_stringlist_test.Teardown;
      begin
        m_c_stringlist.Free;
      end; // Teardown


    Initialization
      f_c_test_case_list.add_test_case_class(c_automatic_stringlist_test);
    end.
